<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Event extends Model
{

    protected $fillable = [
        'name', 'start_date', 'end_date', 'location'
    ];

    public function registrations()
    {
        return $this->hasMany(Registration::class);
    }
}
